<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>net7.0</TargetFramework>
    <Nullable>enable</Nullable>
    <LangVersion>latest</LangVersion>
    <AvaloniaUseCompiledBindingsByDefault>true</AvaloniaUseCompiledBindingsByDefault>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DefineConstants>$(DefineConstants);MOCKED</DefineConstants>
  </PropertyGroup>

  
  <ItemGroup>
    <AvaloniaResource Include="Assets\**" />
  </ItemGroup>

  
  <ItemGroup>
    <None Remove="Images\32\adjust.png" />
    <None Remove="Images\32\gear.png" />
    <None Remove="Images\32\log.png" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Avalonia" Version="11.0.4" />
    <PackageReference Include="Avalonia.Themes.Fluent" Version="11.0.4" />
    <PackageReference Include="Avalonia.Fonts.Inter" Version="11.0.4" />
    <PackageReference Include="Avalonia.ReactiveUI" Version="11.0.4" />
    <!--Condition below is needed to remove Avalonia.Diagnostics package from build output in Release configuration.-->
    <PackageReference Condition="'$(Configuration)' == 'Debug'" Include="Avalonia.Diagnostics" Version="11.0.4" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="7.0.0" />
  </ItemGroup>

  <ItemGroup>
    <AvaloniaResource Include="Images\32\adjust.png" />
    <AvaloniaResource Include="Images\32\gear.png" />
    <AvaloniaResource Include="Images\32\log.png" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\qmonlib\qmonlib.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Views\Navigator\NavFilter.axaml.cs">
      <DependentUpon>NavFilter.axaml</DependentUpon>
    </Compile>
    <Compile Update="Views\Navigator\NavGeneralMetadata.axaml.cs">
      <DependentUpon>NavGeneralMetadata.axaml</DependentUpon>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Models\Metadata\" />
  </ItemGroup>
</Project>
